Index: squid/lib/heap.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/heap.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/lib/heap.c	20 Apr 2000 18:21:59 -0000	1.1.1.3
+++ squid/lib/heap.c	20 Apr 2000 21:57:34 -0000	1.1.1.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: heap.c,v 1.1.1.3 2000/04/20 18:21:59 hno Exp $
+ * $Id: heap.c,v 1.1.1.4 2000/04/20 21:57:34 hno Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/radix.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/radix.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/lib/radix.c	20 Apr 2000 18:21:59 -0000	1.1.1.3
+++ squid/lib/radix.c	20 Apr 2000 21:57:34 -0000	1.1.1.4
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.c,v 1.1.1.3 2000/04/20 18:21:59 hno Exp $
+ * $Id: radix.c,v 1.1.1.4 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 53     Radix tree data structure implementation
  * AUTHOR: NetBSD Derived
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/rfc1035.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1035.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/lib/rfc1035.c	20 Apr 2000 18:21:59 -0000	1.1.1.3
+++ squid/lib/rfc1035.c	20 Apr 2000 21:57:34 -0000	1.1.1.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1035.c,v 1.1.1.3 2000/04/20 18:21:59 hno Exp $
+ * $Id: rfc1035.c,v 1.1.1.4 2000/04/20 21:57:34 hno Exp $
  *
  * Low level DNS protocol routines
  * AUTHOR: Duane Wessels
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -33,12 +33,6 @@
  *
  */
 
-/*
- * KNOWN BUGS:
- * 
- * UDP replies with TC set should be retried via TCP
- */
-
 #include "config.h"
 
 #if HAVE_STDIO_H
@@ -233,7 +227,7 @@
     h->qr = (t >> 15) & 0x01;
     h->opcode = (t >> 11) & 0x0F;
     h->aa = (t >> 10) & 0x01;
-    h->tc = (t >> 9) & 0x01;
+    h->tc = (t >> 8) & 0x01;
     h->rd = (t >> 8) & 0x01;
     h->ra = (t >> 7) & 0x01;
     h->rcode = t & 0x0F;
@@ -276,7 +270,7 @@
     do {
 	c = *(buf + off);
 	if (c > RFC1035_MAXLABELSZ) {
-	    /* fucking compression */
+	    /* blasted compression */
 	    unsigned short s;
 	    off_t ptr;
 	    memcpy(&s, buf + off, sizeof(s));
@@ -327,14 +321,6 @@
     RR->ttl = ntohl(i);
     memcpy(&s, buf + off, sizeof(s));
     off += sizeof(s);
-    if (off + ntohs(s) > sz) {
-	/*
-	 * We got a truncated packet.  'dnscache' truncates UDP
-	 * replies at 512 octets, as per RFC 1035.  Returning sz+1
-	 * should cause no further processing for this reply.
-	 */
-	return sz + 1;
-    }
     switch (RR->type) {
     case RFC1035_TYPE_PTR:
 	RR->rdata = malloc(RFC1035_MAXHOSTNAMESZ);
@@ -446,8 +432,7 @@
     recs = calloc(i, sizeof(*recs));
     while (i--) {
 	off = rfc1035RRUnpack(buf, sz, off, &recs[i]);
-	if (off > sz)		/* truncated packet */
-	    break;
+	assert(off <= sz);
 	nr++;
     }
     *records = recs;
Index: squid/lib/rfc1123.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1123.c,v
retrieving revision 1.1.1.4
retrieving revision 1.1.1.5
diff -u -r1.1.1.4 -r1.1.1.5
--- squid/lib/rfc1123.c	20 Apr 2000 18:21:59 -0000	1.1.1.4
+++ squid/lib/rfc1123.c	20 Apr 2000 21:57:34 -0000	1.1.1.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1123.c,v 1.1.1.4 2000/04/20 18:21:59 hno Exp $
+ * $Id: rfc1123.c,v 1.1.1.5 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/rfc1738.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1738.c,v
retrieving revision 1.1.1.4
retrieving revision 1.1.1.5
diff -u -r1.1.1.4 -r1.1.1.5
--- squid/lib/rfc1738.c	20 Apr 2000 18:21:59 -0000	1.1.1.4
+++ squid/lib/rfc1738.c	20 Apr 2000 21:57:34 -0000	1.1.1.5
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1738.c,v 1.1.1.4 2000/04/20 18:21:59 hno Exp $
+ * $Id: rfc1738.c,v 1.1.1.5 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/splay.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/splay.c,v
retrieving revision 1.1.1.4
retrieving revision 1.1.1.5
diff -u -r1.1.1.4 -r1.1.1.5
--- squid/lib/splay.c	20 Apr 2000 18:21:59 -0000	1.1.1.4
+++ squid/lib/splay.c	20 Apr 2000 21:57:34 -0000	1.1.1.5
@@ -1,5 +1,5 @@
 /*
- * $Id: splay.c,v 1.1.1.4 2000/04/20 18:21:59 hno Exp $
+ * $Id: splay.c,v 1.1.1.5 2000/04/20 21:57:34 hno Exp $
  */
 
 #include "config.h"
Index: squid/lib/strerror.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/strerror.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/lib/strerror.c	20 Apr 2000 18:21:59 -0000	1.1.1.2
+++ squid/lib/strerror.c	20 Apr 2000 21:57:34 -0000	1.1.1.3
@@ -1,5 +1,5 @@
 /*
- * $Id: strerror.c,v 1.1.1.2 2000/04/20 18:21:59 hno Exp $
+ * $Id: strerror.c,v 1.1.1.3 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: 
  * AUTHOR: Duane Wessels
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/util.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/util.c,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/lib/util.c	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/lib/util.c	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: util.c,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: util.c,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -603,8 +603,9 @@
 {
     static char xstrerror_buf[BUFSIZ];
     if (errno < 0 || errno >= sys_nerr)
-	return ("Unknown");
-    snprintf(xstrerror_buf, BUFSIZ, "(%d) %s", errno, strerror(errno));
+	snprintf(xstrerror_buf, BUFSIZ, "(%d) Unknown", errno);
+    else
+        snprintf(xstrerror_buf, BUFSIZ, "(%d) %s", errno, strerror(errno));
     return xstrerror_buf;
 }
 
Index: squid/src/CacheDigest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/CacheDigest.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/src/CacheDigest.c	20 Apr 2000 18:21:59 -0000	1.1.1.3
+++ squid/src/CacheDigest.c	20 Apr 2000 21:57:34 -0000	1.1.1.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: CacheDigest.c,v 1.1.1.3 2000/04/20 18:21:59 hno Exp $
+ * $Id: CacheDigest.c,v 1.1.1.4 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 70    Cache Digest
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/ETag.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/ETag.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/src/ETag.c	20 Apr 2000 18:21:59 -0000	1.1.1.2
+++ squid/src/ETag.c	20 Apr 2000 21:57:34 -0000	1.1.1.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ETag.c,v 1.1.1.2 2000/04/20 18:21:59 hno Exp $
+ * $Id: ETag.c,v 1.1.1.3 2000/04/20 21:57:34 hno Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpBody.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpBody.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/src/HttpBody.c	20 Apr 2000 18:21:59 -0000	1.1.1.2
+++ squid/src/HttpBody.c	20 Apr 2000 21:57:34 -0000	1.1.1.3
@@ -2,7 +2,7 @@
 
 
 /*
- * $Id: HttpBody.c,v 1.1.1.2 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpBody.c,v 1.1.1.3 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 56    HTTP Message Body
  * AUTHOR: Alex Rousskov
@@ -14,10 +14,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpHdrCc.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrCc.c,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/src/HttpHdrCc.c	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/src/HttpHdrCc.c	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrCc.c,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpHdrCc.c,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 65    HTTP Cache Control Header
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpHdrContRange.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrContRange.c,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/src/HttpHdrContRange.c	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/src/HttpHdrContRange.c	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrContRange.c,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpHdrContRange.c,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 68    HTTP Content-Range Header
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpHdrExtField.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrExtField.c,v
retrieving revision 1.1.1.4
retrieving revision 1.1.1.5
diff -u -r1.1.1.4 -r1.1.1.5
--- squid/src/HttpHdrExtField.c	20 Apr 2000 18:21:59 -0000	1.1.1.4
+++ squid/src/HttpHdrExtField.c	20 Apr 2000 21:57:34 -0000	1.1.1.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrExtField.c,v 1.1.1.4 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpHdrExtField.c,v 1.1.1.5 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 69    HTTP Header: Extension Field
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpHdrRange.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrRange.c,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/src/HttpHdrRange.c	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/src/HttpHdrRange.c	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrRange.c,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpHdrRange.c,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 64    HTTP Range Header
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpHeader.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHeader.c,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/src/HttpHeader.c	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/src/HttpHeader.c	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeader.c,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpHeader.c,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 55    HTTP Header
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -84,7 +84,6 @@
     {"Content-MD5", HDR_CONTENT_MD5, ftStr},	/* for now */
     {"Content-Range", HDR_CONTENT_RANGE, ftPContRange},
     {"Content-Type", HDR_CONTENT_TYPE, ftStr},
-    {"Cookie", HDR_COOKIE, ftStr},
     {"Date", HDR_DATE, ftDate_1123},
     {"ETag", HDR_ETAG, ftETag},
     {"Expires", HDR_EXPIRES, ftDate_1123},
@@ -1095,12 +1094,3 @@
 	Headers = httpHeaderBuildFieldsInfo(HeadersAttrs, HDR_ENUM_END);
     return httpHeaderIdByName(name, name_len, Headers, HDR_ENUM_END);
 }
-
-const char *
-httpHeaderNameById(int id)
-{
-    if (!Headers)
-	Headers = httpHeaderBuildFieldsInfo(HeadersAttrs, HDR_ENUM_END);
-    assert(id >= 0 && id < HDR_ENUM_END);
-    return HeadersAttrs[id].name;
-}
Index: squid/src/HttpHeaderTools.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHeaderTools.c,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/src/HttpHeaderTools.c	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/src/HttpHeaderTools.c	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeaderTools.c,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpHeaderTools.c,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 66    HTTP Header Tools
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpMsg.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpMsg.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/src/HttpMsg.c	20 Apr 2000 18:21:59 -0000	1.1.1.2
+++ squid/src/HttpMsg.c	20 Apr 2000 21:57:34 -0000	1.1.1.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpMsg.c,v 1.1.1.2 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpMsg.c,v 1.1.1.3 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 74    HTTP Message
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpReply.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpReply.c,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/src/HttpReply.c	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/src/HttpReply.c	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpReply.c,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpReply.c,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 58    HTTP Reply (Response)
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpRequest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpRequest.c,v
retrieving revision 1.1.1.5
retrieving revision 1.1.1.6
diff -u -r1.1.1.5 -r1.1.1.6
--- squid/src/HttpRequest.c	20 Apr 2000 18:21:59 -0000	1.1.1.5
+++ squid/src/HttpRequest.c	20 Apr 2000 21:57:34 -0000	1.1.1.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpRequest.c,v 1.1.1.5 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpRequest.c,v 1.1.1.6 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 73    HTTP Request
  * AUTHOR: Duane Wessels
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/HttpStatusLine.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpStatusLine.c,v
retrieving revision 1.1.1.4
retrieving revision 1.1.1.5
diff -u -r1.1.1.4 -r1.1.1.5
--- squid/src/HttpStatusLine.c	20 Apr 2000 18:21:59 -0000	1.1.1.4
+++ squid/src/HttpStatusLine.c	20 Apr 2000 21:57:34 -0000	1.1.1.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpStatusLine.c,v 1.1.1.4 2000/04/20 18:21:59 hno Exp $
+ * $Id: HttpStatusLine.c,v 1.1.1.5 2000/04/20 21:57:34 hno Exp $
  *
  * DEBUG: section 57    HTTP Status-line
  * AUTHOR: Alex Rousskov
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
